Tonyu.klass.define({
  fullName: 'user.AEnemy',
  shortName: 'AEnemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_AEnemy_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_AEnemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      hitToShot :function _trc_AEnemy_hitToShot(t) {
        "use strict";
        var _this=this;
        
        if (Tonyu.is(t,Tonyu.classes.user.Shot)) {
          t.die();
          if (_this.invincible) {
            return _this;
            
          }
          
        }
        new Tonyu.classes.user.Point({x: t.x,y: t.y,point: _this.invincible?10000:100});
        new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
        _this.die();
      },
      fiber$hitToShot :function _trc_AEnemy_f_hitToShot(_thread,t) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (Tonyu.is(t,Tonyu.classes.user.Shot)) {
          t.die();
          if (_this.invincible) {
            _thread.retVal=_this;return;
            
            
          }
          
        }
        new Tonyu.classes.user.Point({x: t.x,y: t.y,point: _this.invincible?10000:100});
        new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
        _this.die();
        
        _thread.retVal=_this;return;
      },
      __getter__invincible :function _trc_AEnemy___getter__invincible() {
        "use strict";
        var _this=this;
        
        if (_this.bstatus=="big"||_this.bstatus=="bigging") {
          return true;
        }
        return false;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitToShot":{"nowait":false},"__getter__invincible":{"nowait":true}},"fields":{"bstatus":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Bell',
  shortName: 'Bell',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Bell_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_weapon+7;
        _this.crashScale=1.5;
        _this.vx=2;
        _this.vy=_this.vy||0;
        _this.scaleX=2;
        _this.next();
        if (_this.toPlayer) {
          _this.target=Tonyu.globals.$player;
        }
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          if (_this.x<0) {
            _this.die();
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.s.die();
            _this.doNext(_this.s);
            
          }
          if (_this.target) {
            _this.drawLine(_this.x,_this.y,_this.target.x,_this.target.y,new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5}));
            if (_this.crashTo(Tonyu.globals.$player)) {
              if (Tonyu.globals.$player.bstatus==="small") {
                _this.die();
                _this.b=new Tonyu.classes.user.Big({target: _this.target});
                
              } else {
                if (_this.vx<0) {
                  _this.doNext(Tonyu.globals.$player);
                  
                }
                
              }
              
            }
            
          }
          if (! _this.target||_this.target.isDead()) {
            _this.next();
            
          }
          if (_this.rotation<20) {
            _this.rotation++;
          }
          _this.vx-=0.05;
          _this.update();
          
        }
      },
      fiber$main :function _trc_Bell_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_weapon+7;
        _this.crashScale=1.5;
        _this.vx=2;
        _this.vy=_this.vy||0;
        _this.scaleX=2;
        
        _thread.enter(function _trc_Bell_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$next(_thread);
              __pc=1;return;
            case 1:
              
              if (_this.toPlayer) {
                _this.target=Tonyu.globals.$player;
              }
            case 2:
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              if (_this.x<0) {
                _this.die();
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (!(_this.s)) { __pc=4     ; break; }
              _this.s.die();
              _this.fiber$doNext(_thread, _this.s);
              __pc=3;return;
            case 3:
              
            case 4     :
              
              if (!(_this.target)) { __pc=10    ; break; }
              _this.drawLine(_this.x,_this.y,_this.target.x,_this.target.y,new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5}));
              if (!(_this.crashTo(Tonyu.globals.$player))) { __pc=9     ; break; }
              if (!(Tonyu.globals.$player.bstatus==="small")) { __pc=5     ; break; }
              {
                _this.die();
                _this.b=new Tonyu.classes.user.Big({target: _this.target});
              }
              __pc=8     ;break;
            case 5     :
              if (!(_this.vx<0)) { __pc=7     ; break; }
              _this.fiber$doNext(_thread, Tonyu.globals.$player);
              __pc=6;return;
            case 6:
              
            case 7     :
              
            case 8     :
              
            case 9     :
              
            case 10    :
              
              if (!(! _this.target||_this.target.isDead())) { __pc=12    ; break; }
              _this.fiber$next(_thread);
              __pc=11;return;
            case 11:
              
            case 12    :
              
              if (_this.rotation<20) {
                _this.rotation++;
              }
              _this.vx-=0.05;
              _this.fiber$update(_thread);
              __pc=13;return;
            case 13:
              
              __pc=2;break;
            case 14    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      doNext :function _trc_Bell_doNext(s) {
        "use strict";
        var _this=this;
        
        _this.vy+=(_this.y-s.y)*0.01;
        _this.next();
        _this.rotation=- 20;
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
        _this.vx=2;
      },
      fiber$doNext :function _trc_Bell_f_doNext(_thread,s) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.vy+=(_this.y-s.y)*0.01;
        
        _thread.enter(function _trc_Bell_ent_doNext(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$next(_thread);
              __pc=1;return;
            case 1:
              
              _this.rotation=- 20;
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
              _this.vx=2;
              _thread.exit(_this);return;
            }
          }
        });
      },
      next :function _trc_Bell_next() {
        "use strict";
        var _this=this;
        var idx;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bell,{vol: 64});
        if (! _this.target||_this.target.isDead()) {
          _this.target=Tonyu.globals.$targets[_this.rnd(Tonyu.globals.$targets.length)];
          return _this;
          
        }
        idx = Tonyu.globals.$targets.indexOf(_this.target);
        
        if (idx<0) {
          _this.target=Tonyu.globals.$targets[_this.rnd(Tonyu.globals.$targets.length)];
          
        } else {
          _this.target=Tonyu.globals.$targets[(idx+1)%Tonyu.globals.$targets.length];
          
        }
      },
      fiber$next :function _trc_Bell_f_next(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var idx;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bell,{vol: 64});
        if (! _this.target||_this.target.isDead()) {
          _this.target=Tonyu.globals.$targets[_this.rnd(Tonyu.globals.$targets.length)];
          _thread.retVal=_this;return;
          
          
        }
        idx = Tonyu.globals.$targets.indexOf(_this.target);
        
        if (idx<0) {
          _this.target=Tonyu.globals.$targets[_this.rnd(Tonyu.globals.$targets.length)];
          
        } else {
          _this.target=Tonyu.globals.$targets[(idx+1)%Tonyu.globals.$targets.length];
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"doNext":{"nowait":false},"next":{"nowait":false}},"fields":{"vx":{},"vy":{},"toPlayer":{},"s":{},"b":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Big',
  shortName: 'Big',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Big_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_big);
        _this.target.bstatus="bigging";
        _this.i=0;for (; _this.i<=60 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.target.scaleX+=_this.sgn(_this.target.scaleX)*4/60;
            _this.target.scaleY=_this.abs(_this.target.scaleX);
            _this.update();
          }
        }
        _this.target.bstatus="big";
        _this.updateEx(300);
        _this.target.bstatus="smalling";
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_small);
        _this.i=0;for (; _this.i<=60 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.target.scaleX-=_this.sgn(_this.target.scaleX)*4/60;
            _this.target.scaleY=_this.abs(_this.target.scaleX);
            _this.update();
          }
        }
        _this.target.bstatus="small";
        _this.target.fireEvent("smalled");
        _this.die();
      },
      fiber$main :function _trc_Big_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_big);
        _this.target.bstatus="bigging";
        
        _thread.enter(function _trc_Big_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.i=0;
            case 1:
              if (!(_this.i<=60)) { __pc=4     ; break; }
              _this.target.scaleX+=_this.sgn(_this.target.scaleX)*4/60;
              _this.target.scaleY=_this.abs(_this.target.scaleX);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.i++;
              __pc=1;break;
            case 4     :
              
              _this.target.bstatus="big";
              _this.fiber$updateEx(_thread, 300);
              __pc=5;return;
            case 5:
              
              _this.target.bstatus="smalling";
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_small);
              _this.i=0;
            case 6:
              if (!(_this.i<=60)) { __pc=9     ; break; }
              _this.target.scaleX-=_this.sgn(_this.target.scaleX)*4/60;
              _this.target.scaleY=_this.abs(_this.target.scaleX);
              _this.fiber$update(_thread);
              __pc=7;return;
            case 7:
              
            case 8     :
              _this.i++;
              __pc=6;break;
            case 9     :
              
              _this.target.bstatus="small";
              _this.target.fireEvent("smalled");
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Capsule',
  shortName: 'Capsule',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Capsule_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+8;
        while (true) {
          Tonyu.checkLoop();
          _this.x--;
          if (_this.screenOut()) {
            _this.die();
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get2,{rate: 2,vol: 140});
            _this.die();
            Tonyu.globals.$player.scaleX+=0.1;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Capsule_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+8;
        
        _thread.enter(function _trc_Capsule_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x--;
              if (_this.screenOut()) {
                _this.die();
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get2,{rate: 2,vol: 140});
                _this.die();
                Tonyu.globals.$player.scaleX+=0.1;
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Doption',
  shortName: 'Doption',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Doption_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+9;
        _this.id=Tonyu.globals.$player.ops++;
        _this.pos=_this.vert(_this.id);
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.d=(_this.pos+_this.floor(Tonyu.globals.$frameCount/2))%16*360/16;
          _this.x=Tonyu.globals.$player.x+_this.cos(_this.d)*50;
          _this.y=Tonyu.globals.$player.y+_this.sin(_this.d)*50;
          if (_this.c%20==0) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 40});
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
            
          }
          _this.c++;
          _this.update();
          
        }
      },
      fiber$main :function _trc_Doption_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+9;
        _this.id=Tonyu.globals.$player.ops++;
        
        _thread.enter(function _trc_Doption_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$vert(_thread, _this.id);
              __pc=1;return;
            case 1:
              _this.pos=_thread.retVal;
              
              _this.c=0;
            case 2:
              _this.d=(_this.pos+_this.floor(Tonyu.globals.$frameCount/2))%16*360/16;
              _this.x=Tonyu.globals.$player.x+_this.cos(_this.d)*50;
              _this.y=Tonyu.globals.$player.y+_this.sin(_this.d)*50;
              if (_this.c%20==0) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 40});
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
                
              }
              _this.c++;
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=2;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      vert :function _trc_Doption_vert(i) {
        "use strict";
        var _this=this;
        var s;
        var r;
        var i;
        
        s = ("000"+i.toString(2));
        
        s=s.substring(s.length-4);
        r = "";
        
        i = 0;
        for (; i<s.length ; i++) {
          Tonyu.checkLoop();
          {
            r=s[i]+r;
          }
        }
        return "0b"+r-0;
      },
      fiber$vert :function _trc_Doption_f_vert(_thread,i) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var s;
        var r;
        var i;
        
        s = ("000"+i.toString(2));
        
        s=s.substring(s.length-4);
        r = "";
        
        i = 0;
        for (; i<s.length ; i++) {
          Tonyu.checkLoop();
          {
            r=s[i]+r;
          }
        }
        _thread.retVal="0b"+r-0;return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"vert":{"nowait":false}},"fields":{"id":{},"pos":{},"c":{},"d":{}}}
});
Tonyu.klass.define({
  fullName: 'user.DotConsole',
  shortName: 'DotConsole',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Panel,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_DotConsole_main() {
        "use strict";
        var _this=this;
        
        "field strict";
        
      },
      fiber$main :function _trc_DotConsole_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        "field strict";
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_DotConsole_initialize(p) {
        "use strict";
        var _this=this;
        
        p=p||{};
        p.size=p.size||16;
        p.width=p.width||Tonyu.globals.$screenWidth;
        p.height=p.height||Tonyu.globals.$screenHeight;
        p.row=p.row||_this.floor(p.height/p.size);
        p.col=p.col||_this.floor(p.width/p.size);
        p.width=p.col*p.size;
        p.height=p.row*p.size;
        __superClass.apply( _this, [p]);
        _this.cx=0;
        _this.cy=0;
        _this.fillStyle="white";
        _this.mat=new Tonyu.classes.kernel.Matrix;
      },
      locate :function _trc_DotConsole_locate(x,y) {
        "use strict";
        var _this=this;
        
        _this.cx=x;
        _this.cy=y;
      },
      fiber$locate :function _trc_DotConsole_f_locate(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.cx=x;
        _this.cy=y;
        
        _thread.retVal=_this;return;
      },
      print :function _trc_DotConsole_print(s) {
        "use strict";
        var _this=this;
        var i;
        var ch;
        
        i = 0;
        for (; i<s.length ; i++) {
          Tonyu.checkLoop();
          {
            ch = s.charCodeAt(i);
            
            _this.putchar(ch);
          }
        }
      },
      putchar :function _trc_DotConsole_putchar(ch) {
        "use strict";
        var _this=this;
        
        if (ch!==10) {
          _this.poke(_this.cx,_this.cy,ch);
          _this.cx++;
          
        }
        if (_this.cx>=_this.col||ch===10) {
          _this.cx=0;
          _this.cy++;
          if (_this.cy>=_this.row) {
            _this.scroll();
            _this.cy=_this.row-1;
            
          }
          
        }
      },
      fiber$putchar :function _trc_DotConsole_f_putchar(_thread,ch) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_DotConsole_ent_putchar(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(ch!==10)) { __pc=2     ; break; }
              _this.fiber$poke(_thread, _this.cx, _this.cy, ch);
              __pc=1;return;
            case 1:
              
              _this.cx++;
            case 2     :
              
              if (!(_this.cx>=_this.col||ch===10)) { __pc=5     ; break; }
              _this.cx=0;
              _this.cy++;
              if (!(_this.cy>=_this.row)) { __pc=4     ; break; }
              _this.fiber$scroll(_thread);
              __pc=3;return;
            case 3:
              
              _this.cy=_this.row-1;
            case 4     :
              
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      cls :function _trc_DotConsole_cls() {
        "use strict";
        var _this=this;
        
        _this.mat=new Tonyu.classes.kernel.Matrix;
        _this.clearRect(0,0,_this.width,_this.height);
        _this.cx=_this.cy=0;
      },
      fiber$cls :function _trc_DotConsole_f_cls(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.mat=new Tonyu.classes.kernel.Matrix;
        
        _thread.enter(function _trc_DotConsole_ent_cls(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$clearRect(_thread, 0, 0, _this.width, _this.height);
              __pc=1;return;
            case 1:
              
              _this.cx=_this.cy=0;
              _thread.exit(_this);return;
            }
          }
        });
      },
      poke :function _trc_DotConsole_poke(cx,cy,ch) {
        "use strict";
        var _this=this;
        var ctx;
        var pImg;
        
        if (_this.mat.get(cx,cy)===ch) {
          return _this;
        }
        if (cx<0||cx>=_this.col||cy<0||cy>=_this.row) {
          return _this;
        }
        ctx = _this.context;
        
        ctx.save();
        ctx.textBaseline="top";
        ctx.font=_this.size+"px Monospace";
        ctx.beginPath();
        ctx.moveTo(cx*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,(cy+1)*_this.size);
        ctx.lineTo(cx*_this.size,(cy+1)*_this.size);
        ctx.closePath();
        ctx.clip();
        ctx.clearRect(cx*_this.size,cy*_this.size,_this.size,_this.size);
        pImg = Tonyu.globals.$imageList[ch+_this.font];
        
        if (ch<128&&pImg) {
          ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,cx*_this.size,cy*_this.size,_this.size,_this.size);
          ctx.globalCompositeOperation="source-in";
          ctx.fill();
          
        } else {
          ctx.fillText(String.fromCharCode(ch),cx*_this.size,cy*_this.size);
          
        }
        _this.mat.set(cx,cy,ch);
        ctx.restore();
      },
      fiber$poke :function _trc_DotConsole_f_poke(_thread,cx,cy,ch) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var ctx;
        var pImg;
        
        if (_this.mat.get(cx,cy)===ch) {
          _thread.retVal=_this;return;
          
        }
        if (cx<0||cx>=_this.col||cy<0||cy>=_this.row) {
          _thread.retVal=_this;return;
          
        }
        ctx = _this.context;
        
        ctx.save();
        ctx.textBaseline="top";
        ctx.font=_this.size+"px Monospace";
        ctx.beginPath();
        ctx.moveTo(cx*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,(cy+1)*_this.size);
        ctx.lineTo(cx*_this.size,(cy+1)*_this.size);
        ctx.closePath();
        ctx.clip();
        ctx.clearRect(cx*_this.size,cy*_this.size,_this.size,_this.size);
        pImg = Tonyu.globals.$imageList[ch+_this.font];
        
        if (ch<128&&pImg) {
          ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,cx*_this.size,cy*_this.size,_this.size,_this.size);
          ctx.globalCompositeOperation="source-in";
          ctx.fill();
          
        } else {
          ctx.fillText(String.fromCharCode(ch),cx*_this.size,cy*_this.size);
          
        }
        _this.mat.set(cx,cy,ch);
        ctx.restore();
        
        _thread.retVal=_this;return;
      },
      peek :function _trc_DotConsole_peek(cx,cy) {
        "use strict";
        var _this=this;
        
        return _this.mat.get(cx,cy);
      },
      fiber$peek :function _trc_DotConsole_f_peek(_thread,cx,cy) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=_this.mat.get(cx,cy);return;
        
        
        _thread.retVal=_this;return;
      },
      scroll :function _trc_DotConsole_scroll() {
        "use strict";
        var _this=this;
        var nm;
        var x;
        var y;
        var c;
        var _it_133;
        
        nm = new Tonyu.classes.kernel.Matrix;
        
        _it_133=Tonyu.iterator(_this.mat,3);
        while(_it_133.next()) {
          x=_it_133[0];
          y=_it_133[1];
          c=_it_133[2];
          
          if (y>0) {
            nm.set(x,y-1,c);
          }
          
        }
        _this.mat=nm;
        _this.context.save();
        _this.context.globalCompositeOperation="copy";
        _this.context.drawImage(_this.image,0,_this.size,_this.width,_this.height-_this.size,0,0,_this.width,_this.height-_this.size);
        _this.context.restore();
      },
      fiber$scroll :function _trc_DotConsole_f_scroll(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var nm;
        var x;
        var y;
        var c;
        var _it_133;
        
        nm = new Tonyu.classes.kernel.Matrix;
        
        _it_133=Tonyu.iterator(_this.mat,3);
        while(_it_133.next()) {
          x=_it_133[0];
          y=_it_133[1];
          c=_it_133[2];
          
          if (y>0) {
            nm.set(x,y-1,c);
          }
          
        }
        _this.mat=nm;
        _this.context.save();
        _this.context.globalCompositeOperation="copy";
        _this.context.drawImage(_this.image,0,_this.size,_this.width,_this.height-_this.size,0,0,_this.width,_this.height-_this.size);
        _this.context.restore();
        
        _thread.retVal=_this;return;
      },
      __getter__defaultLayer :function _trc_DotConsole___getter__defaultLayer() {
        "use strict";
        var _this=this;
        
        return Tonyu.globals.$frontLayer;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"locate":{"nowait":false},"print":{"nowait":true},"putchar":{"nowait":false},"cls":{"nowait":false},"poke":{"nowait":false},"peek":{"nowait":false},"scroll":{"nowait":false},"__getter__defaultLayer":{"nowait":true}},"fields":{"size":{},"row":{},"col":{},"cx":{},"cy":{},"mat":{},"font":{}}}
});
Tonyu.klass.define({
  fullName: 'user.EBullet',
  shortName: 'EBullet',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_EBullet_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+2;
        _this.crashScale=0.5;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.dx;
          _this.y+=_this.dy;
          if (_this.screenOut()) {
            _this.die();
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.hitEnemy(_this);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_EBullet_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+2;
        _this.crashScale=0.5;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        
        _thread.enter(function _trc_EBullet_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.dx;
              _this.y+=_this.dy;
              if (_this.screenOut()) {
                _this.die();
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.hitEnemy(_this);
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      hitToShot :function _trc_EBullet_hitToShot() {
        "use strict";
        var _this=this;
        
        _this.die();
      },
      fiber$hitToShot :function _trc_EBullet_f_hitToShot(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.die();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitToShot":{"nowait":false}},"fields":{"d":{},"dx":{},"dy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [Tonyu.classes.user.AEnemy],
  methods: function (__superClass) {
    return {
      main :function _trc_Enemy_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+3;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.p++;
        }
        _this.scaleX=2;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
        _this.vx=- 1;
        _this.cy=_this.y;
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          _this.y=_this.cy+_this.sin(Tonyu.globals.$frameCount*2)*30;
          if (_this.screenOut()) {
            _this.die();
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.hitToShot(_this.s);
            
          }
          _this.c++;
          if (_this.c>60&&_this.rnd(400)==0) {
            new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y,scaleX: _this.scaleX});
            
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.hitEnemy(_this);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+3;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.p++;
        }
        _this.scaleX=2;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
        _this.vx=- 1;
        _this.cy=_this.y;
        _this.c=0;
        
        _thread.enter(function _trc_Enemy_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.vx;
              _this.y=_this.cy+_this.sin(Tonyu.globals.$frameCount*2)*30;
              if (_this.screenOut()) {
                _this.die();
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (!(_this.s)) { __pc=3     ; break; }
              _this.fiber$hitToShot(_thread, _this.s);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _this.c++;
              if (_this.c>60&&_this.rnd(400)==0) {
                new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y,scaleX: _this.scaleX});
                
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.hitEnemy(_this);
                
              }
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              __pc=1;break;
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      hitToShot :function _trc_Enemy_hitToShot(t) {
        "use strict";
        var _this=this;
        
        __superClass.prototype.hitToShot.apply( _this, [t]);
        if (_this.p==Tonyu.globals.$pat_e+4) {
          new Tonyu.classes.user.Bell({x: _this.x,y: _this.y});
          
        }
      },
      fiber$hitToShot :function _trc_Enemy_f_hitToShot(_thread,t) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Enemy_ent_hitToShot(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              __superClass.prototype.fiber$hitToShot.apply( _this, [_thread, t]);
              __pc=1;return;
            case 1:
              
              if (_this.p==Tonyu.globals.$pat_e+4) {
                new Tonyu.classes.user.Bell({x: _this.x,y: _this.y});
                
              }
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitToShot":{"nowait":false}},"fields":{"vx":{},"cy":{},"c":{},"s":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Explosion',
  shortName: 'Explosion',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Explosion_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_sample+4;
        _this.updateEx(5);
        _this.p++;
        _this.updateEx(5);
        _this.p++;
        _this.updateEx(5);
        _this.die();
      },
      fiber$main :function _trc_Explosion_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_sample+4;
        
        _thread.enter(function _trc_Explosion_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$updateEx(_thread, 5);
              __pc=1;return;
            case 1:
              
              _this.p++;
              _this.fiber$updateEx(_thread, 5);
              __pc=2;return;
            case 2:
              
              _this.p++;
              _this.fiber$updateEx(_thread, 5);
              __pc=3;return;
            case 3:
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Gauge',
  shortName: 'Gauge',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Gauge_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Gauge_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Ionring',
  shortName: 'Ionring',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [Tonyu.classes.user.AEnemy],
  methods: function (__superClass) {
    return {
      main :function _trc_Ionring_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_weapon+6;
        _this.p=Tonyu.globals.$pat_e+8;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.dx;
          _this.y+=_this.dy;
          if (_this.screenOut()) {
            _this.die();
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.hitEnemy(_this);
            
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.hitToShot(_this.s);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Ionring_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_weapon+6;
        _this.p=Tonyu.globals.$pat_e+8;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        
        _thread.enter(function _trc_Ionring_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.dx;
              _this.y+=_this.dy;
              if (_this.screenOut()) {
                _this.die();
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.hitEnemy(_this);
                
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (!(_this.s)) { __pc=3     ; break; }
              _this.fiber$hitToShot(_thread, _this.s);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              __pc=1;break;
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"d":{},"dx":{},"dy":{},"s":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$player=new Tonyu.classes.user.Player;
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$gauge=new Tonyu.classes.user.Gauge;
        Tonyu.globals.$level=1;
        Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({font: Tonyu.globals.$pat_font_b+0});
        Tonyu.globals.$score=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$time60=0*60;
        _this.i=0;for (; _this.i<30 ; _this.i++) {
          Tonyu.checkLoop();
          new Tonyu.classes.user.Star;
        }
        Tonyu.globals.$clear=false;
        Tonyu.globals.$targets=[Tonyu.globals.$player];
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_main);
        Tonyu.globals.$sound.setBGMVolume(64);
        while (true) {
          Tonyu.checkLoop();
          Tonyu.globals.$d.locate(0,Tonyu.globals.$d.row-1);
          Tonyu.globals.$d.print("SCORE "+Tonyu.globals.$score+"  ");
          Tonyu.globals.$d.locate(18,Tonyu.globals.$d.row-1);
          Tonyu.globals.$d.print("LEVEL "+Tonyu.globals.$level+" ");
          if (Tonyu.globals.$frameCount%((12)*5)==0) {
            new Tonyu.classes.user.Enemy;
            
          }
          if (Tonyu.globals.$level>=4&&_this.rnd(100)==0) {
            new Tonyu.classes.user.Zav;
            
          }
          if (Tonyu.globals.$level>=5) {
            if (_this.rnd(200)==0) {
              new Tonyu.classes.user.Moai;
              
            }
            
          }
          if (Tonyu.globals.$level>=10) {
            break;
            
          }
          if (Tonyu.globals.$player.isDead()) {
            break;
            
            
          }
          Tonyu.globals.$time60++;
          Tonyu.globals.$time=_this.floor(Tonyu.globals.$time60/60);
          _this.getTargets();
          _this.update();
          
        }
        Tonyu.globals.$sound.stopBGM();
        if (Tonyu.globals.$player.isDead()) {
          Tonyu.globals.$d.locate(10,10);
          Tonyu.globals.$d.print("GAME OVER");
          
        } else {
          Tonyu.globals.$clear=true;
          _this.all(Tonyu.classes.user.Enemy).die();
          _this.all(Tonyu.classes.user.EBullet).die();
          _this.all(Tonyu.classes.user.Moai).die();
          _this.all(Tonyu.classes.user.Ionring).die();
          _this.all(Tonyu.classes.user.Zav).die();
          Tonyu.globals.$d.locate(5,10);
          Tonyu.globals.$d.print("COMPLETE!");
          
        }
        Tonyu.globals.$mesg="【でかくなるベル】 スコア="+Tonyu.globals.$score;
        new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
        new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$player=new Tonyu.classes.user.Player;
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$gauge=new Tonyu.classes.user.Gauge;
        Tonyu.globals.$level=1;
        Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({font: Tonyu.globals.$pat_font_b+0});
        Tonyu.globals.$score=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$time60=0*60;
        _this.i=0;for (; _this.i<30 ; _this.i++) {
          Tonyu.checkLoop();
          new Tonyu.classes.user.Star;
        }
        Tonyu.globals.$clear=false;
        Tonyu.globals.$targets=[Tonyu.globals.$player];
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_main);
        Tonyu.globals.$sound.setBGMVolume(64);
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              Tonyu.globals.$d.locate(0,Tonyu.globals.$d.row-1);
              Tonyu.globals.$d.print("SCORE "+Tonyu.globals.$score+"  ");
              Tonyu.globals.$d.locate(18,Tonyu.globals.$d.row-1);
              Tonyu.globals.$d.print("LEVEL "+Tonyu.globals.$level+" ");
              if (Tonyu.globals.$frameCount%((12)*5)==0) {
                new Tonyu.classes.user.Enemy;
                
              }
              if (Tonyu.globals.$level>=4&&_this.rnd(100)==0) {
                new Tonyu.classes.user.Zav;
                
              }
              if (Tonyu.globals.$level>=5) {
                if (_this.rnd(200)==0) {
                  new Tonyu.classes.user.Moai;
                  
                }
                
              }
              if (!(Tonyu.globals.$level>=10)) { __pc=2     ; break; }
              __pc=6     ; break;
              
            case 2     :
              
              if (!(Tonyu.globals.$player.isDead())) { __pc=3     ; break; }
              __pc=6     ; break;
              
            case 3     :
              
              Tonyu.globals.$time60++;
              Tonyu.globals.$time=_this.floor(Tonyu.globals.$time60/60);
              _this.fiber$getTargets(_thread);
              __pc=4;return;
            case 4:
              
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=1;break;
            case 6     :
              
              Tonyu.globals.$sound.stopBGM();
              if (Tonyu.globals.$player.isDead()) {
                Tonyu.globals.$d.locate(10,10);
                Tonyu.globals.$d.print("GAME OVER");
                
              } else {
                Tonyu.globals.$clear=true;
                _this.all(Tonyu.classes.user.Enemy).die();
                _this.all(Tonyu.classes.user.EBullet).die();
                _this.all(Tonyu.classes.user.Moai).die();
                _this.all(Tonyu.classes.user.Ionring).die();
                _this.all(Tonyu.classes.user.Zav).die();
                Tonyu.globals.$d.locate(5,10);
                Tonyu.globals.$d.print("COMPLETE!");
                
              }
              Tonyu.globals.$mesg="【でかくなるベル】 スコア="+Tonyu.globals.$score;
              new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
              new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
              _thread.exit(_this);return;
            }
          }
        });
      },
      goTitle :function _trc_Main_goTitle() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
      },
      fiber$goTitle :function _trc_Main_f_goTitle(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
        
        _thread.retVal=_this;return;
      },
      tweet :function _trc_Main_tweet() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
      },
      fiber$tweet :function _trc_Main_f_tweet(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
        
        _thread.retVal=_this;return;
      },
      getTargets :function _trc_Main_getTargets() {
        "use strict";
        var _this=this;
        var a;
        var _it_139;
        
        Tonyu.globals.$targets=[Tonyu.globals.$player];
        _it_139=Tonyu.iterator(_this.all(),1);
        while(_it_139.next()) {
          a=_it_139[0];
          
          if (Tonyu.is(a,Tonyu.classes.user.AEnemy)) {
            Tonyu.globals.$targets.push(a);
            
          }
          
        }
      },
      fiber$getTargets :function _trc_Main_f_getTargets(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var a;
        var _it_139;
        
        Tonyu.globals.$targets=[Tonyu.globals.$player];
        _it_139=Tonyu.iterator(_this.all(),1);
        while(_it_139.next()) {
          a=_it_139[0];
          
          if (Tonyu.is(a,Tonyu.classes.user.AEnemy)) {
            Tonyu.globals.$targets.push(a);
            
          }
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"goTitle":{"nowait":false},"tweet":{"nowait":false},"getTargets":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Moai',
  shortName: 'Moai',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [Tonyu.classes.user.AEnemy],
  methods: function (__superClass) {
    return {
      main :function _trc_Moai_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+11;
        _this.life=5;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.x-=0.5;
          if (_this.screenOut()) {
            _this.die();
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.hitToShot(_this.s);
            
          }
          _this.c++;
          if (_this.c%120>=90&&_this.c%10==0) {
            new Tonyu.classes.user.Ionring({x: _this.x,y: _this.y,scaleX: _this.scaleX});
            
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.hitEnemy(_this);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Moai_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+11;
        _this.life=5;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        _this.c=0;
        
        _thread.enter(function _trc_Moai_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x-=0.5;
              if (_this.screenOut()) {
                _this.die();
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (!(_this.s)) { __pc=3     ; break; }
              _this.fiber$hitToShot(_thread, _this.s);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _this.c++;
              if (_this.c%120>=90&&_this.c%10==0) {
                new Tonyu.classes.user.Ionring({x: _this.x,y: _this.y,scaleX: _this.scaleX});
                
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.hitEnemy(_this);
                
              }
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              __pc=1;break;
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      hitToShot :function _trc_Moai_hitToShot(s) {
        "use strict";
        var _this=this;
        
        if (Tonyu.is(s,Tonyu.classes.user.Shot)) {
          s.die();
          if (_this.invincible) {
            return _this;
            
          }
          
        }
        _this.life--;
        if (_this.life<0) {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
          new Tonyu.classes.user.Point({x: s.x,y: s.y,point: _this.invincible?100000:1000});
          _this.die();
          _this.i=- 2;for (; _this.i<=2 ; _this.i++) {
            Tonyu.checkLoop();
            {
              new Tonyu.classes.user.Explosion({x: _this.x+_this.rnd(- 20,20),y: _this.y+_this.rnd(- 20,20)});
              new Tonyu.classes.user.Bell({x: _this.x,y: _this.y,vy: _this.i,toPlayer: _this.i==1});
            }
          }
          
        } else {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kin);
          
        }
      },
      fiber$hitToShot :function _trc_Moai_f_hitToShot(_thread,s) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (Tonyu.is(s,Tonyu.classes.user.Shot)) {
          s.die();
          if (_this.invincible) {
            _thread.retVal=_this;return;
            
            
          }
          
        }
        _this.life--;
        if (_this.life<0) {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
          new Tonyu.classes.user.Point({x: s.x,y: s.y,point: _this.invincible?100000:1000});
          _this.die();
          _this.i=- 2;for (; _this.i<=2 ; _this.i++) {
            Tonyu.checkLoop();
            {
              new Tonyu.classes.user.Explosion({x: _this.x+_this.rnd(- 20,20),y: _this.y+_this.rnd(- 20,20)});
              new Tonyu.classes.user.Bell({x: _this.x,y: _this.y,vy: _this.i,toPlayer: _this.i==1});
            }
          }
          
        } else {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kin);
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitToShot":{"nowait":false}},"fields":{"life":{},"c":{},"s":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+0;
        _this.scaleX=2;
        _this.crashScale=0.5;
        _this.bstatus="small";
        _this.x=200;
        _this.y=200;
        _this.pad=new Tonyu.classes.kernel.APad({touchRadius: 100});
        _this.sb=new Tonyu.classes.kernel.Button({left: 400,top: 400,width: 65,height: 65,text: "z",key: "z",alpha: 128});
        _this.ops=0;
        _this.on("smalled",(function anonymous_204() {
          
          Tonyu.globals.$level++;
        }));
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.pad.vx*5;
          _this.y+=_this.pad.vy*5;
          if (_this.sb.clicked==1&&_this.shootable) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 80});
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
            
          }
          _this.x=_this.clamp(_this.x,16,Tonyu.globals.$screenWidth+16);
          _this.y=_this.clamp(_this.y,16,Tonyu.globals.$screenHeight-32);
          _this.update();
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+0;
        _this.scaleX=2;
        _this.crashScale=0.5;
        _this.bstatus="small";
        _this.x=200;
        _this.y=200;
        _this.pad=new Tonyu.classes.kernel.APad({touchRadius: 100});
        _this.sb=new Tonyu.classes.kernel.Button({left: 400,top: 400,width: 65,height: 65,text: "z",key: "z",alpha: 128});
        _this.ops=0;
        _this.on("smalled",(function anonymous_204() {
          
          Tonyu.globals.$level++;
        }));
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.pad.vx*5;
              _this.y+=_this.pad.vy*5;
              if (_this.sb.clicked==1&&_this.shootable) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 80});
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
                
              }
              _this.x=_this.clamp(_this.x,16,Tonyu.globals.$screenWidth+16);
              _this.y=_this.clamp(_this.y,16,Tonyu.globals.$screenHeight-32);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      hitEnemy :function _trc_Player_hitEnemy(e) {
        "use strict";
        var _this=this;
        
        if (_this.invincible) {
          e.hitToShot(_this);
          
        } else {
          if (_this.bstatus=="smalling") {
            
            
          } else {
            _this.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
            
          }
        }
      },
      fiber$hitEnemy :function _trc_Player_f_hitEnemy(_thread,e) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.invincible) {
          e.hitToShot(_this);
          
        } else {
          if (_this.bstatus=="smalling") {
            
            
          } else {
            _this.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
            
          }
        }
        
        _thread.retVal=_this;return;
      },
      __getter__invincible :function _trc_Player___getter__invincible() {
        "use strict";
        var _this=this;
        
        if (_this.bstatus=="big"||_this.bstatus=="bigging") {
          return true;
        }
        return false;
      },
      __getter__shootable :function _trc_Player___getter__shootable() {
        "use strict";
        var _this=this;
        
        if (_this.bstatus=="small"||_this.bstatus=="smalling") {
          return true;
        }
        return false;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitEnemy":{"nowait":false},"__getter__invincible":{"nowait":true},"__getter__shootable":{"nowait":true}},"fields":{"bstatus":{},"pad":{},"sb":{},"ops":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Point',
  shortName: 'Point',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Point_main() {
        "use strict";
        var _this=this;
        
        _this.p=- 1;
        _this.point=_this.floor(_this.point);
        Tonyu.globals.$score+=_this.point;
        if (_this.point>200) {
          _this.dx=_this.floor(_this.x/16);
          _this.dy=_this.floor(_this.y/16);
          _this.dx=_this.clamp(_this.dx,0,Tonyu.globals.$d.col-5);
          _this.dy=_this.clamp(_this.dy,0,Tonyu.globals.$d.row-2);
          Tonyu.globals.$d.locate(_this.dx,_this.dy);
          Tonyu.globals.$d.print((_this.point+"").substring(0,5));
          _this.updateEx(60);
          Tonyu.globals.$d.locate(_this.dx,_this.dy);
          Tonyu.globals.$d.print("     ");
          
        }
      },
      fiber$main :function _trc_Point_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=- 1;
        _this.point=_this.floor(_this.point);
        Tonyu.globals.$score+=_this.point;
        
        _thread.enter(function _trc_Point_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.point>200)) { __pc=2     ; break; }
              _this.dx=_this.floor(_this.x/16);
              _this.dy=_this.floor(_this.y/16);
              _this.dx=_this.clamp(_this.dx,0,Tonyu.globals.$d.col-5);
              _this.dy=_this.clamp(_this.dy,0,Tonyu.globals.$d.row-2);
              Tonyu.globals.$d.locate(_this.dx,_this.dy);
              Tonyu.globals.$d.print((_this.point+"").substring(0,5));
              _this.fiber$updateEx(_thread, 60);
              __pc=1;return;
            case 1:
              
              Tonyu.globals.$d.locate(_this.dx,_this.dy);
              Tonyu.globals.$d.print("     ");
            case 2     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"point":{},"dx":{},"dy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Samune',
  shortName: 'Samune',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Samune_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("black");
        new Tonyu.classes.kernel.Actor({x: 100,y: 100,p: Tonyu.globals.$pat_e+0,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 200,y: 200,p: Tonyu.globals.$pat_e+8,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 300,y: 300,p: Tonyu.globals.$pat_e+11,scaleX: 4});
      },
      fiber$main :function _trc_Samune_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.setBGColor("black");
        new Tonyu.classes.kernel.Actor({x: 100,y: 100,p: Tonyu.globals.$pat_e+0,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 200,y: 200,p: Tonyu.globals.$pat_e+8,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 300,y: 300,p: Tonyu.globals.$pat_e+11,scaleX: 4});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Setting',
  shortName: 'Setting',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Setting_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$no=35;
        Tonyu.globals.$theme="デカ";
        Tonyu.globals.$title="でかくなるベル";
        Tonyu.globals.$author="hoge1e3";
        Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
        Tonyu.globals.$story="でかくなるベルを取るとでかくなる\n(プレイヤーが，とは限らないぞ）";
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=885";
        _this.loadPage(Tonyu.classes.user.Title);
      },
      fiber$main :function _trc_Setting_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$no=35;
        Tonyu.globals.$theme="デカ";
        Tonyu.globals.$title="でかくなるベル";
        Tonyu.globals.$author="hoge1e3";
        Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
        Tonyu.globals.$story="でかくなるベルを取るとでかくなる\n(プレイヤーが，とは限らないぞ）";
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=885";
        
        _thread.enter(function _trc_Setting_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Title);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Shot',
  shortName: 'Shot',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Shot_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_weapon+0;
        while (! _this.screenOut()) {
          Tonyu.checkLoop();
          if (_this.rotation!=0) {
            _this.x+=12;
            _this.y-=12;
            
          } else {
            _this.x+=16;
          }
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Shot_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_weapon+0;
        
        _thread.enter(function _trc_Shot_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! _this.screenOut())) { __pc=3     ; break; }
              if (_this.rotation!=0) {
                _this.x+=12;
                _this.y-=12;
                
              } else {
                _this.x+=16;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Star',
  shortName: 'Star',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Star_main() {
        "use strict";
        var _this=this;
        
        _this.fillStyle="white";
        _this.radius=1;
        _this.x=_this.rnd(Tonyu.globals.$screenWidth);
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        while (true) {
          Tonyu.checkLoop();
          _this.x--;
          if (_this.rnd(10)==0) {
            _this.alpha=0;
          } else {
            _this.alpha=255;
          }
          if (_this.x<0) {
            _this.x=Tonyu.globals.$screenWidth;
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Star_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.fillStyle="white";
        _this.radius=1;
        _this.x=_this.rnd(Tonyu.globals.$screenWidth);
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        
        _thread.enter(function _trc_Star_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x--;
              if (_this.rnd(10)==0) {
                _this.alpha=0;
              } else {
                _this.alpha=255;
              }
              if (_this.x<0) {
                _this.x=Tonyu.globals.$screenWidth;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
        new Tonyu.classes.kernel.Button({text: "Normal",top: 250,onClick: Tonyu.bindFunc(_this,_this.start),key: "space"});
        new Tonyu.classes.kernel.Button({text: "Easy",top: 300,onClick: Tonyu.bindFunc(_this,_this.startE),key: "e"});
        _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
        new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
        Tonyu.globals.$sound.mute=false;
      },
      fiber$main :function _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
        new Tonyu.classes.kernel.Button({text: "Normal",top: 250,onClick: Tonyu.bindFunc(_this,_this.start),key: "space"});
        new Tonyu.classes.kernel.Button({text: "Easy",top: 300,onClick: Tonyu.bindFunc(_this,_this.startE),key: "e"});
        _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
        new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
        Tonyu.globals.$sound.mute=false;
        
        _thread.retVal=_this;return;
      },
      start :function _trc_Title_start() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$easy=false;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      },
      fiber$start :function _trc_Title_f_start(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$easy=false;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
        
        _thread.retVal=_this;return;
      },
      startE :function _trc_Title_startE() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$easy=true;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      },
      fiber$startE :function _trc_Title_f_startE(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$easy=true;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
        
        _thread.retVal=_this;return;
      },
      toggleSound :function _trc_Title_toggleSound() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
        _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      },
      fiber$toggleSound :function _trc_Title_f_toggleSound(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
        _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"start":{"nowait":false},"startE":{"nowait":false},"toggleSound":{"nowait":false}},"fields":{"sb":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Zav',
  shortName: 'Zav',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [Tonyu.classes.user.AEnemy],
  methods: function (__superClass) {
    return {
      main :function _trc_Zav_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+7;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.cap=1;
        }
        _this.scaleX=2;
        _this.alpha=0;
        do {
          Tonyu.checkLoop();
          _this.x=_this.rnd(Tonyu.globals.$screenWidth);
          _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
          
        } while (Tonyu.globals.$easy&&_this.dist(Tonyu.globals.$player)<100);
        
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*1;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*1;
        _this.alpha=0;for (; _this.alpha<=250 ; _this.alpha+=5) {
          Tonyu.checkLoop();
          {
            _this.update();
          }
        }
        _this.cy=_this.y;
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.dx;
          _this.y+=_this.dy;
          if (_this.screenOut()) {
            _this.die();
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.hitToShot(_this.s);
            
          }
          _this.c++;
          if (_this.c>60&&_this.rnd(400)==0) {
            new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y,scaleX: _this.scaleX});
            
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.hitEnemy(_this);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Zav_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+7;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.cap=1;
        }
        _this.scaleX=2;
        _this.alpha=0;
        
        _thread.enter(function _trc_Zav_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              {
                _this.x=_this.rnd(Tonyu.globals.$screenWidth);
                _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
              }
            case 2     :
              if (Tonyu.globals.$easy&&_this.dist(Tonyu.globals.$player)<100) { __pc=1; break; }
            case 3     :
              
              _this.d=_this.dist(Tonyu.globals.$player);
              _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*1;
              _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*1;
              _this.alpha=0;
            case 4:
              if (!(_this.alpha<=250)) { __pc=7     ; break; }
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
            case 6     :
              _this.alpha+=5;
              __pc=4;break;
            case 7     :
              
              _this.cy=_this.y;
              _this.c=0;
            case 8:
              _this.x+=_this.dx;
              _this.y+=_this.dy;
              if (_this.screenOut()) {
                _this.die();
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (!(_this.s)) { __pc=10    ; break; }
              _this.fiber$hitToShot(_thread, _this.s);
              __pc=9;return;
            case 9:
              
            case 10    :
              
              _this.c++;
              if (_this.c>60&&_this.rnd(400)==0) {
                new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y,scaleX: _this.scaleX});
                
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.hitEnemy(_this);
                
              }
              _this.fiber$update(_thread);
              __pc=11;return;
            case 11:
              
              __pc=8;break;
            case 12    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      hitToShot :function _trc_Zav_hitToShot(s) {
        "use strict";
        var _this=this;
        
        __superClass.prototype.hitToShot.apply( _this, [s]);
        if (_this.cap) {
          new Tonyu.classes.user.Bell({x: _this.x,y: _this.y,toPlayer: true});
          
        }
      },
      fiber$hitToShot :function _trc_Zav_f_hitToShot(_thread,s) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Zav_ent_hitToShot(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              __superClass.prototype.fiber$hitToShot.apply( _this, [_thread, s]);
              __pc=1;return;
            case 1:
              
              if (_this.cap) {
                new Tonyu.classes.user.Bell({x: _this.x,y: _this.y,toPlayer: true});
                
              }
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"hitToShot":{"nowait":false}},"fields":{"cap":{},"d":{},"dx":{},"dy":{},"cy":{},"c":{},"s":{}}}
});

//# sourceMappingURL=concat.js.map